# Request a new session

Creates a new session for elastic access.

Endpoint: POST /api/v1.1/sessions
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Header parameters:

  - `x-instance-id` (string)
    UUID of the instance to create the session on. Required by requests that use a ClientAccess token.

  - `correlationId` (string)
    An optional identifier for the request. If provided, it is recommended to use a UUID format to minimise the risk of reusing the same correlationId.

This field can be used to support safe retries, typically when the request has timed out. The safe retry configuration option must be enabled first,
refer to the Configuration section for more information on how to enable this.

If no correlationId is supplied, Dynamic Monetization will generate one automatically.

## Request body:

  - `application/json` (unknown)
    The information required in the request payload.

## Request fields (application/json):

  - `instanceId` (string, required)
    UUID of the instance, used while creating a new session.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded in its entirety.

## Response 200 fields (application/json):

  - `sessionId` (string)
    UUID of the session created.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 500:

  - `500` (unknown)
    Internal Server Error. The session state will be set to FAILED. To resolve this, the client should initiate a new session. If you need to contact support, please include the reference number provided in the response.

